[Rubygems-developers] [ rubygems-Bugs-28286 ] Removal of wrappers should occur *after* successful uninstallation

noreply at rubyforge.org noreply at rubyforge.org
Sat Nov 13 08:53:38 EST 2010


Bugs item #28286, was opened at 2010-06-08 21:11
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=28286&group_id=126

Category: None
Group: None
Status: Open
>Resolution: Accepted
Priority: 3
Submitted By: Sakuro OZAWA (sakuro)
Assigned to: John Barnette (jbarnette)
Summary: Removal of wrappers should occur *after* successful uninstallation

Initial Comment:
When one terminates uninstallation of a gem, he/she would expect wrapper scripts remain.

$ ruby --version
ruby 1.9.3dev (2010-06-08 trunk 28202) [i386-darwin9.8.0]
$ gem --version
1.3.7
$ gem uninstall nokogiri
Remove executables:
	nokogiri

in addition to the gem? [Yn]  y
Removing nokogiri

You have requested to uninstall the gem:
	nokogiri-1.4.2
cucumber-0.8.0 depends on [nokogiri (>= 1.4.2)]
mime-types-1.16 depends on [nokogiri (~> 1.2)]
webrat-0.7.1 depends on [nokogiri (>= 1.2.0)]
If you remove this gems, one or more dependencies will not be met.
Continue with Uninstall? [Yn]  n
ERROR:  While executing gem ... (Gem::DependencyRemovalException)
    Uninstallation aborted due to dependent gem(s)
$ which nokogiri
nokogiri not found


----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=28286&group_id=126


More information about the Rubygems-developers mailing list